      hcham=350.+100.
      L3=5000.
      wxb3=1.
      wxl3=wxl(xn,L3)
      wxv3=wxv(xn,L3)
      arpc=0.
      amdt=0.
      wxl_a=wxl(xn-0.5*hcham*arpc, L3)
      wxl_b=wxl(xn+0.5*hcham*arpc, L3)
      dz_b=wxl_b*(yn+0.5*hcham-yc3)
      dz_a=wxl_a*(yn-0.5*hcham-yc3)
      wzl3=(dz_b+dz_a)/2.

      dy_b=wxl_b*(zn+0.5*hcham*amdt-zc3)
      dy_a=wxl_a*(zn-0.5*hcham*amdt-zc3)
      wyl3=(dy_b+dy_a)/2.

      wxv_a=wxv(xn-0.5*hcham*arpc, L3)
      wxv_b=wxv(xn+0.5*hcham*arpc, L3)
      dz_b=wxv_b*(yn+0.5*hcham-yc3)
      dz_a=wxv_a*(yn-0.5*hcham-yc3)
      wzv3=(dz_b+dz_a)/2.

      dy_b=wxv_b*(zn+0.5*hcham*amdt-zc3)
      dy_a=wxv_a*(zn-0.5*hcham*amdt-zc3)
      wyv3=(dy_b+dy_a)/2.

      gx3=abs(xn)/(L3/2)

      wxay3=-arpc*sin(tnom)*sin(tnom)
      wxsz3=abs(xn+hcham*arpc) - abs(xn-hcham*arpc)
      wxsz3=-wxsz3*sin(tnom)*sin(tnom)
     +         /((hcham) - (-hcham))/(L3/2)
      wxsy3=abs(xn+hcham*arpc) - abs(xn-hcham*arpc)
      wxsy3=wxsy3*cos(tnom)*sin(tnom)
     +         /((hcham) - (-hcham))/(L3/2)
      wxaz3=arpc*cos(tnom)*sin(tnom)


